%define	major		10
%define	oname		nice
%define	libname		%mklibname %{oname} %major
%define develname	%mklibname %{oname} -d

Summary:	Implementation of the IETF's draft I.C.E standard
Name:		libnice
Version:	0.1.2
Release:	1
License:	LGPLv2+ and MPLv1+
Group:		System/Libraries
URL:		http://nice.freedesktop.org/wiki/
Source0:	http://nice.freedesktop.org/releases/%{name}-%{version}.tar.gz

BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gstreamer-plugins-base-0.10)
BuildRequires:	pkgconfig(gupnp-igd-1.0)

%description
Nice is an implementation of the IETF's draft Interactive Connectivity
Establishment standard (ICE). It provides GLib-based library, libnice.

ICE is useful for applications that want to establish peer-to-peer UDP
data streams. It automates the process of traversing NATs and provides
security against some attacks.

Existing standards that use ICE include the Session Initiation Protocol
(SIP) and Jingle, XMPP extension for audio/video calls.

Nice includes integration with GStreamer. It is used by Farsight for RTP
transport. 

%package -n	%{libname}
Summary:	Dynamic libraries from %{oname}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Obsoletes:	%{_lib}nice1 < 0.1.1-4

%description -n	%{libname}
Dynamic libraries from %{name}.

%package -n	%{develname}
Summary: 	Header files, libraries and development documentation for %{oname}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}
Provides:       lib%{oname}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains the header files, static libraries and development
documentation for %{oname}. If you like to develop programs using %{oname},
you will need to install %{oname}-devel.

%package 	utils
Summary:	Dynamic libraries from %{oname}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides: 	%{name}-utils = %{version}-%{release}
Obsoletes:	libnice

%description 	utils
This package contains various tools from %{name}.

%package -n	gstreamer0.10-%{oname}
Summary:	Gstreamer elements from %{oname}
Group:		System/Libraries
Requires:	%{libname} = %{version}
# conflict with older %%libname that had the gst .so, before the split
Conflicts:	%{_lib}nice0 < 0.1.0
Conflicts:	%{_lib}nice1 < 0.1.0

%description -n	gstreamer0.10-%{oname}
Gstreamer elements from %{oname}.

%prep
%setup -q

%build
%configure2_5x \
	--enable-gupnp \
	--disable-static

# disable rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make

%install
%makeinstall_std

# don't ship .la
find %{buildroot} -name "*.la" -delete

%check
make check

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%doc AUTHORS COPYING COPYING.LGPL COPYING.MPL NEWS README
%{_includedir}/%{oname}/*.h
%{_includedir}/stun/*.h
%{_includedir}/stun/usages/*.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{oname}.pc
%{_datadir}/gtk-doc/html/%{name}/*

%files utils
%{_bindir}/stun*

%files -n gstreamer0.10-%{oname}
%{_libdir}/gstreamer-0.10/*.so


%changelog
* Thu May 03 2012 Matthew Dawkins <mattydaw@mandriva.org> 0.1.2-1
+ Revision: 795644
- new version 0.1.2

* Wed May 02 2012 Alexander Khrukin <akhrukin@mandriva.org> 0.1.1-5
+ Revision: 795070
- synced with mageia
- synced with mageia

* Wed May 02 2012 Alexander Khrukin <akhrukin@mandriva.org> 0.1.0-4
+ Revision: 795059
- static package separated from normal devel package

* Wed May 02 2012 Alexander Khrukin <akhrukin@mandriva.org> 0.1.0-3
+ Revision: 795058
- rebuild for cooker

* Sun May 15 2011 Götz Waschk <waschk@mandriva.org> 0.1.0-2
+ Revision: 674961
- properly split out gstreamer element
- remove useless files
- fix group for utils package

* Sun May 15 2011 Götz Waschk <waschk@mandriva.org> 0.1.0-1
+ Revision: 674935
- new version
- new major

* Fri Apr 29 2011 Oden Eriksson <oeriksson@mandriva.com> 0.0.13-2
+ Revision: 660272
- mass rebuild

* Fri Jul 23 2010 Jani Välimaa <wally@mandriva.org> 0.0.13-1mdv2011.0
+ Revision: 557307
- new version 0.0.13
- rebuild for new gupnp-igd

* Sun Jul 11 2010 Emmanuel Andry <eandry@mandriva.org> 0.0.12-1mdv2011.0
+ Revision: 550734
- New version 0.0.12

* Tue Apr 06 2010 Emmanuel Andry <eandry@mandriva.org> 0.0.11-1mdv2010.1
+ Revision: 532333
- New version 0.0.11

* Thu Jan 07 2010 Jani Välimaa <wally@mandriva.org> 0.0.10-2mdv2010.1
+ Revision: 487207
- rebuild for new gupnp-igd

* Thu Nov 12 2009 Frederik Himpe <fhimpe@mandriva.org> 0.0.10-1mdv2010.1
+ Revision: 465208
- update to new version 0.0.10

* Sun Sep 20 2009 Frederik Himpe <fhimpe@mandriva.org> 0.0.9-3mdv2010.0
+ Revision: 445927
- Rebuild for new gupnp

* Tue Aug 25 2009 Lev Givon <lev@mandriva.org> 0.0.9-2mdv2010.0
+ Revision: 421288
- Specify required versions of build dependencies.

* Wed Aug 05 2009 Frederik Himpe <fhimpe@mandriva.org> 0.0.9-1mdv2010.0
+ Revision: 410342
- update to new version 0.0.9

* Tue Jul 28 2009 Emmanuel Andry <eandry@mandriva.org> 0.0.8-3mdv2010.0
+ Revision: 402812
- rename libnice package (containing binaries) to libnice-utils

* Sun Jun 21 2009 Frederik Himpe <fhimpe@mandriva.org> 0.0.8-2mdv2010.0
+ Revision: 387853
- Build with gupnp support
- Use %%configure2_5x instead of %%configure

* Sun Jun 21 2009 Frederik Himpe <fhimpe@mandriva.org> 0.0.8-1mdv2010.0
+ Revision: 387823
- update to new version 0.0.8

* Tue May 26 2009 Frederik Himpe <fhimpe@mandriva.org> 0.0.6-1mdv2010.0
+ Revision: 379979
- update to new version 0.0.6

* Fri Mar 20 2009 Emmanuel Andry <eandry@mandriva.org> 0.0.5-2mdv2009.1
+ Revision: 358234
- move gstreamer .so file in library package

* Fri Mar 06 2009 Emmanuel Andry <eandry@mandriva.org> 0.0.5-1mdv2009.1
+ Revision: 350288
- New version 0.0.5
- disable autoreconf
- update files list

* Wed Jan 07 2009 Emmanuel Andry <eandry@mandriva.org> 0.0.4-1mdv2009.1
+ Revision: 326839
- New version 0.0.4

  + Thierry Vignaud <tv@mandriva.org>
    - fix description

* Sat Nov 29 2008 Emmanuel Andry <eandry@mandriva.org> 0.0.3-1mdv2009.1
+ Revision: 307518
- import libnice


